Package org.silverpeas.components.classifieds.notification

# Class ClassifiedSubscriptionUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<ClassifiedDetail>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>
org.silverpeas.components.classifieds.notification.AbstractClassifiedUserNotification
org.silverpeas.components.classifieds.notification.ClassifiedSubscriptionUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

public class ClassifiedSubscriptionUserNotification extends AbstractClassifiedUserNotification

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassifiedSubscriptionUserNotification(ClassifiedDetail resource, Collection<String> usersToBeNotified)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.notification.user.client.constant.NotifAction`
  `getAction()`
  `protected String`
  `getBundleSubjectKey()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`

  ### Methods inherited from class org.silverpeas.components.classifieds.notification.AbstractClassifiedUserNotification

  `getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getResourceURL, getSender, getTemplatePath, performNotificationResource, performTemplateData`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassifiedSubscriptionUserNotification

    public ClassifiedSubscriptionUserNotification(ClassifiedDetail resource, Collection<String> usersToBeNotified)

- ## Method Details

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`

  - ### getAction

    protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()
    Specified by:
      `getAction` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`